package com.example.android.courtcounter;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class DialogActivity extends Activity {

    int x,y;
    TextView tvA,tvB;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_dialog);

        this.setFinishOnTouchOutside(false);

        tvA=(TextView)findViewById(R.id.txtA);
        tvB=(TextView)findViewById(R.id.txtB);

        x = getIntent().getIntExtra("a",0);
        tvA.setText(""+x);

        y = getIntent().getIntExtra("b",0);
        tvB.setText(""+y);

    }

    public void share(View v){
        Intent sendIntent = new Intent();
        sendIntent.setAction(Intent.ACTION_SEND);
        sendIntent.putExtra(Intent.EXTRA_TEXT, "TeamA="+x+"TeamB="+y);
        sendIntent.setType("text/plain");
        startActivity(sendIntent);
    }

    public void Save(View v){
        String resInt = "Team A="+x+"\nTeamB="+y;
        Intent i = new Intent(this,SaveActivity.class);
        i.putExtra("results",resInt);

        startActivity(i);
    }

    @Override
    public void onBackPressed() {
     //   super.onBackPressed();
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setMessage("Save the result ?");
        builder.setPositiveButton("Yes", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int which) {
                dialog.cancel();
            }
        });
        builder.setNegativeButton("No",new DialogInterface.OnClickListener(){
            @Override
            public void onClick(DialogInterface dialog, int which) {
                Intent i = new Intent(DialogActivity.this,LoginActivity.class);
                startActivity(i);
                dialog.cancel();
            }
        });
        AlertDialog d = builder.create();
        d.show();

    }
}
