package com.example.android.courtcounter;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class Scorer extends AppCompatActivity {

    static int scoreTeamA = 0;
    static int scoreTeamB = 0;
    Button bu=null;
    Button bu2=null;
    TextView tv;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        bu=(Button)findViewById(R.id.button2);
        bu2=(Button)findViewById(R.id.button3);
        tv = (TextView)findViewById(R.id.txtGameName);

    Bundle b = getIntent().getExtras();
     String GameName =  b.getString("GameName");
        tv.setText(GameName);
    }


    public static int currentScoreA(){
        return scoreTeamA;
    }
    public static int currentScoreB(){
        return scoreTeamB;
    }
    public void button3(View v)

    {
        scoreTeamA=scoreTeamA + 3;
        displayForTeamA(scoreTeamA);
    }

    public void button2(View v)

    {
        scoreTeamA=scoreTeamA + 2;
        displayForTeamA(scoreTeamA);
    }

    public void buttonFreeThrow(View v)

    {
        scoreTeamA=scoreTeamA + 1;
        displayForTeamA(scoreTeamA);
    }
    /**
     * Displays the given score for Team B.
     */
    public void displayForTeamA(int score) {
        TextView scoreView = (TextView) findViewById(R.id.team_a_score);
        scoreView.setText(String.valueOf(score));
    }

    public void button3b(View v)

    {
        scoreTeamB=scoreTeamB + 3;
        displayForTeamB(scoreTeamB);
    }

    public void button2b(View v)

    {
        scoreTeamB=scoreTeamB + 2;
        displayForTeamB(scoreTeamB);
    }

    public void buttonFreeThrowb(View v)

    {
        scoreTeamB=scoreTeamB + 1;
        displayForTeamB(scoreTeamB);
    }
    /**
     * Displays the given score for Team B.
     */
    public void displayForTeamB(int score) {
        TextView scoreView = (TextView) findViewById(R.id.team_b_score);
        scoreView.setText(String.valueOf(score));
    }
    public void reset(View v)

    {
        scoreTeamB=0;
        scoreTeamA=0;
        displayForTeamA(scoreTeamA);
        displayForTeamB(scoreTeamB);

    }

    public  void logOut(View view){
        SharedPreferences sharedpreferences = getSharedPreferences(LoginActivity.MyPREFERENCES, Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = sharedpreferences.edit();

        // After logout redirect user to Login Activity
        Intent i = new Intent(Scorer.this, LoginActivity.class);
        // Closing all the Activities
        i.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);

        // Add new Flag to start new Activity
        i.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);

        // Staring Login Activity
        startActivity(i);

        editor.clear();
        editor.apply();
        finish();

    }

    public void exit(View view){
        finish();


    }


}
